## etree-scripts-1.4.tar.gz

=== Makefile ===
SCRIPTS = md5check unshn burn-shns shn cdfill makehbx shn2mp3 make-toc

DESTDIR =
prefix = $(DESTDIR)/usr

all : $(SCRIPTS)

install : $(SCRIPTS)
	mkdir -p $(prefix)/bin
	install -m 755 $(SCRIPTS) $(prefix)/bin
	( cd $(prefix)/bin && ln -s unshn unflac )

clean :
	@echo Nothing to do

tarball : clean
	( dir=`pwd`; base=`basename $$dir`; cd ..; \
	  tar --exclude CVS --exclude .cvsignore -cvzf $$base.tar.gz $$base )

=== debian/changelog ===
etree-scripts (1.4-1) unstable; urgency=low

  * burn-shns: handle being run without a directory name
  * md5check: don't try checking a directory called <x>.flac.  Work-around
    for bug in flac 1.0.3 where one failed file would cause the entire
    batch to stop.
  * shn2mp3: bomb out if run under ActiveState Perl.  It just doesn't
    work.  Pass -x to lame if run under Cygwin since it seems to want
    byte-swapped input.  Support a ~/.shn2mp3rc file which contains
    command-line arguments for all invocations.  Don't put the disc
    numbers in the Album tag, instead use a track numbering from 1-<n>
    where <n> is the number of tracks in the entire show.  Some text file
    parsing improvements.

 -- Caleb Epstein <cae@bklyn.org>  Wed, 23 Oct 2002 08:43:55 -0400

etree-scripts (1.3-3) unstable; urgency=low

  * makehbx, shn2mp3: Some text file parsing improvements mostly courtesy
    of Matt McClure.

 -- Caleb Epstein <cae@bklyn.org>  Thu, 26 Sep 2002 09:50:54 -0400

etree-scripts (1.3-2) unstable; urgency=low

  * makehbx, shn2mp3: Handle YYYY-MM-DD dates.
  * make-toc: added.
  * unshn: if shorten is interrupted by ctrl-c, stop processing.
  * Numerous dependency fixes

 -- Caleb Epstein <cae@bklyn.org>  Fri, 30 Aug 2002 09:33:54 -0400

etree-scripts (1.3-1) unstable; urgency=medium

  * Added FLAC functions to md5check and unshn.  Create a symlink called
    unflac pointing to unshn.  Bug fixes in makehbx and shn2mp3.

 -- Caleb Epstein <cae@bklyn.org>  Fri, 16 Aug 2002 09:41:01 -0400

etree-scripts (1.2-2) unstable; urgency=low

  * Bug fixes for altparseinfo in shn2mp3 and makehbx.

 -- Caleb Epstein <cae@bklyn.org>  Tue, 30 Jul 2002 10:57:48 -0400

etree-scripts (1.2-1) unstable; urgency=low

  * Added makehbx and shn2mp3 scripts.

 -- Caleb Epstein <cae@bklyn.org>  Fri, 12 Jul 2002 14:57:54 -0400

etree-scripts (1.1-2) unstable; urgency=low

  * In md5check, set $File::Find::dont_use_nlink so we can md5check on
    NTFS or SMBFS or other broken-type filesystems.

 -- Caleb Epstein <cae@bklyn.org>  Mon,  1 Oct 2001 09:13:46 -0400

etree-scripts (1.1-1) unstable; urgency=low

  * Rewrote md5check in Perl.

 -- Caleb Epstein <cae@bklyn.org>  Tue,  1 May 2001 17:27:47 -0400

etree-scripts (1.0-5) unstable; urgency=low

  * Added "cdfill"

 -- Caleb Epstein <cae@bklyn.org>  Thu, 25 Jan 2001 11:54:35 -0500

etree-scripts (1.0-4) unstable; urgency=low

  * unshn: use "shnlen", not "shntool -len".

 -- Caleb Epstein <cae@bklyn.org>  Sat, 20 Jan 2001 12:33:41 -0500

etree-scripts (1.0-3) unstable; urgency=low

  * unshn: ok, lets try "which" instead of "whence".

 -- Caleb Epstein <cae@home.com>  Thu, 16 Nov 2000 22:55:30 -0500

etree-scripts (1.0-2) unstable; urgency=low

  * unshn: Use whence, not whereis to find the shntool binary

 -- Caleb Epstein <cae@home.com>  Thu, 16 Nov 2000 22:24:21 -0500

etree-scripts (1.0-1) stable; urgency=low

  * Initial Debianization and release.

 -- Caleb Epstein <cae@home.com>  Mon, 23 Oct 2000 10:42:08 -0400

=== debian/control ===
Source: etree-scripts
Section: sound
Priority: optional
Maintainer: Caleb Epstein <cae@home.com>
Standards-Version: 3.1.1

Package: etree-scripts
Architecture: all
Depends: ${shlibs:Depends} perl, libdigest-md5-perl, libtimedate-perl, libaudio-wav-perl
Suggests: shorten, shntool, cdrecord, cdrdao, lame, flac
Description: Utility scripts for losslessly-compressed audio fanatics.
 Contains some handy utility scripts for etree.org users.  They are:
 burn-shns - Wrapper for unshn and cdrecord.  Used to un-SHN files and burn.
 cdfill - Calculate optimal CD-filling for a set of SHN files and optionally
          rename them with disc and track indicators.
 make-toc - Create a cdrdao TOC file from a directory of WAV files.
 makehbx - Create a XML file with information about a directory of SHN files.
 md5check - recursively check md5sums on a directory tree
 shn - Take a group of WAV files and make SHN files from them.
 shn2mp3 - Convert a directory of SHN files to a nicely-tagged set of MP3s.
 unshn - Un-shorten a group of SHN files or directories

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/etreescripts.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/etree-scripts

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
#	dh_installdebconf -i
	dh_installdocs -i
	dh_installexamples -i
#	dh_installmenu -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_installman -i
#	dh_installinfo -i
#	dh_undocumented -i
	dh_installchangelogs  -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_perl -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installmenu -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
	dh_installcron -a
#	dh_installman -a
	dh_installinfo -a
#	dh_undocumented -a
	dh_installchangelogs  -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_installdeb -a
#	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep # binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
